org.bouncycastle.crypto.params

## Class MQVPrivateParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.MQVPrivateParameters

All Implemented Interfaces:
  CipherParameters

    public class MQVPrivateParameters
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`MQVPrivateParameters(ECPrivateKeyParameters staticPrivateKey, ECPrivateKeyParameters ephemeralPrivateKey)`
`MQVPrivateParameters(ECPrivateKeyParameters staticPrivateKey, ECPrivateKeyParameters ephemeralPrivateKey, ECPublicKeyParameters ephemeralPublicKey)`

### Method Summary

Methods
`ECPrivateKeyParameters` `getEphemeralPrivateKey()`
`ECPublicKeyParameters` `getEphemeralPublicKey()`
`ECPrivateKeyParameters` `getStaticPrivateKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MQVPrivateParameters

    public MQVPrivateParameters(ECPrivateKeyParameters staticPrivateKey,
                        ECPrivateKeyParameters ephemeralPrivateKey)

#### MQVPrivateParameters

    public MQVPrivateParameters(ECPrivateKeyParameters staticPrivateKey,
                        ECPrivateKeyParameters ephemeralPrivateKey,
                        ECPublicKeyParameters ephemeralPublicKey)

### Method Detail

#### getStaticPrivateKey

    public ECPrivateKeyParameters getStaticPrivateKey()

#### getEphemeralPrivateKey

    public ECPrivateKeyParameters getEphemeralPrivateKey()

#### getEphemeralPublicKey

    public ECPublicKeyParameters getEphemeralPublicKey()